Get tokens¶
GET/
Account Management API · Token Management
Get all access tokens for a tenant.
Parameters¶
| Name | In | Type | Required | Description |
|---|---|---|---|---|
X-Tenant-ID | header | string (uuid) | Yes | Tenant ID. |
page | query | integer | No | Page number to fetch, starting with 1. |
pageSize | query | integer | No | Size of the page requested. Must be ≥ 1 and ≤ 50. |
pageTotal | query | boolean | No | Whether the number of pages should be calculated and returned in the response. |
Request samples¶
curl -X GET "https://api.central.sophos.com/accounts/v1/access-tokens" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>"
import requests
response = requests.get(
"https://api.central.sophos.com/accounts/v1/access-tokens",
headers={
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
},
)
print(response.json())
$headers = @{
"Authorization" = "Bearer <access-token>"
"X-Tenant-ID" = "<tenant-id>"
}
Invoke-RestMethod -Method GET -Uri "https://api.central.sophos.com/accounts/v1/access-tokens" -Headers $headers
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.central.sophos.com/accounts/v1/access-tokens", nil)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <access-token>")
req.Header.Set("X-Tenant-ID", "<tenant-id>")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
const response = await fetch("https://api.central.sophos.com/accounts/v1/access-tokens", {
method: "GET",
headers: {
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
},
});
const data = await response.json();
console.log(data);
Responses¶
200 — Access tokens.¶
Response fields
itemsarray of objectrequiredList of access tokens.
Tells the caller about the token.
Show child attributesHide child attributes
idstring (uuid)requiredUnique token ID.
tokenstringrequiredAccess token.
typestringrequiredToken type. * sophosLinuxSensor - Token that you can use to authenticate downloads of Sophos Linux Sensor.
Must be one of:
Must be one of:
sophosLinuxSensor.labelstringToken description.
createdAtstring (datetime)requiredToken created.
expiresAtstring (datetime)requiredToken expires on.
urlstringrequiredURL that the token gives access to.
createdByobjectrequiredShow child attributesHide child attributes
idstringrequiredPrincipal ID.
typestring (enum)requiredType of entity that made this change.
Must be one of:
Must be one of:
user, service.namestringPrincipal name.
accountTypestringAccount type for this principal.
Must be one of:
Must be one of:
partner, tenant, organization, distributor.accountIdstring (uuid)Account ID.
pagesobjectrequiredShow child attributesHide child attributes
currentintegerrequiredThe 1-based page number being returned.
sizeintegerrequiredThe size of the page being returned.
totalinteger(Optional) The total number of pages that exist, if pageTotal=true in the request.
itemsinteger(Optional) The total number of items across all pages.
maxSizeintegerrequiredThe maximum page size that can be requested.
Errors¶
| Status | Meaning |
|---|---|
400 | Bad request. |
500 | Unexpected error. |
All error responses share the same shape — see the error response object.
Response examples¶
200¶
{
"items": [
{
"id": "00000000-0000-0000-0000-000000000000",
"token": "string",
"type": "sophosLinuxSensor",
"label": "string",
"createdAt": "string",
"expiresAt": "string",
"url": "string",
"createdBy": {
"id": "string",
"type": "user",
"name": "string",
"accountType": "partner",
"accountId": "00000000-0000-0000-0000-000000000000"
}
}
],
"pages": {
"current": 0,
"size": 0,
"total": 0,
"items": 0,
"maxSize": 0
}
}
See the guide for a narrative walkthrough of this API.